Bug 1878020 - SELinux is preventing /usr/libexec/platform-python3.6 from search access on the /proc/pid of dnf
Summary: SELinux is preventing /usr/libexec/platform-python3.6 from search access on t...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: selinux-policy
Version: 8.2
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 8.5
Assignee: Zdenek Pytela
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-11 05:39 UTC by Jing Huo
Modified: 2021-10-08 15:15 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.14.3-72.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Jing Huo 2020-09-11 05:39:12 UTC
Description of problem:

SELinux is preventing rhsmcertd-worke from search access on the /proc/pid of dnf .

Version-Release number of selected component (if applicable):

selinux-policy-3.14.3-41.el8_2.5.noarch

SELinux is preventing /usr/libexec/platform-python3.6 from search access on the derectory 7279.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that platform-python3.6 should be allowed search access on the 7279 directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do 
allow this access for now by executing:
# ausearch -c 'rhsmcertd-worke' --raw | audit2allow -M my-rhsmcertdworke
# semodule -X 300 -i my-rhsmcertdworke.pp

Additional Information:
Source Context                     system_u:system_r:rhsmcertd_t:s0
Target Context                   system_u:system_r:rpm_t:s0
Target Objects                   7279 [ dir ]
Source                           rhsmcertd-worke
Source Path                         /usr/libexec/platform-python3.6
Port                           <Unknown>
Host                           <Unknown>
Source RPM Packages                 platform-python-3.6.8-1.el8.0.1.x86_64
Target RPM Packages
Policy RPM                      selinux-policy-3.14.3-41.el8_2.5.noarch
Selinux Enabled                   True
Policy Type                       targeted
Enforcing Mode                         Permissive
Host Name                          xxx
Platform                      Linux xxx 4.18.0-80.el8.x86_64 #1
                              SMP Tue Jun 4 09:19:46 UTC 2019 x86_64 x86_64
Alert Count                         1
First Seen                         2020-09-07 22:10:52 JST
Last Seen                         2020-09-07 22:10:52 JST
Local ID                        879f68dc-1bd0-47ba-8164-e84d74557eca

Raw Audit Messages
type=AVC msg=audit(1599484252.555:41828): avc:  denied  { search } for  pid=7220 comm="rhsmcertd-worke" name="7279" dev="proc" ino=215575551 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:system_r:rpm_t:s0 tclass=dir permissive=1

type=SYSCALL msg=audit(1599484252.555:41828): arch=x86_64 syscall=access success=yes exit=0 a0=7f9fa9133bf0 a1=0 a2=7f9fbf325a40 a3=7f9fbf01395b items=0 ppid=1159 pid=7220 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rhsmcertd-worke exe=/usr/libexec/platform-python3.6 subj=system_u:system_r:rhsmcertd_t:s0 key=(null)^]ARCH=x86_64 SYSCALL=access AUID=unset UID=root GID=root EUID=root SUID=root FSUID=root EGID=root SGID=root FSGID=root

Hash: rhsmcertd-worke,rhsmcertd_t,rpm_t,dir,search
-------------------------------------


Note You need to log in before you can comment on or make changes to this bug.